<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
  doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
  method="html" encoding="utf-8"/>

  <xsl:template match="/permindex">
    <html>
      <head>
        <title><xsl:value-of select="@titlename"/> -- <xsl:value-of select="@what"/></title>
        <link rel="stylesheet" type="text/css" href="insn.css"/>
      </head>
      <body>
        <table align="center">
          <tr>
            <!-- autogenerator: header/footer start -->
            <!-- autogenerated -->
            <td><div class="topbar"><a href="index.xml">Base Instructions</a></div></td>
            <td><div class="topbar"><a href="fpsimdindex.xml">SIMD&amp;FP Instructions</a></div></td>
            <td><div class="topbar"><a href="a32_encindex.xml">A32 Instructions by Encoding</a></div></td>
            <td><div class="topbar"><a href="t32_encindex.xml">T32 Instructions by Encoding</a></div></td>
            <td><div class="topbar"><a href="permindex.xml">Permuted Index</a></div></td>
            <td><div class="topbar"><a href="shared_pseudocode.xml">Shared Pseudocode</a></div></td>
            <td><div class="topbar"><a href="notice.xml">Proprietary Notice</a></div></td>
            <!-- autogenerator: header/footer end -->
          </tr>
        </table>  
        <hr/>

        <h1><xsl:value-of select="@what"/></h1>

        <xsl:for-each select="initials">
          <table align="center" class="permindex-initials">
            <tbody>
              <row class="permindex-initials">
                <xsl:for-each select="in">
                  <td>
                    <a href="{@link}"><xsl:value-of select="."/></a>
                  </td>
                </xsl:for-each>
              </row>
            </tbody>
          </table>
        </xsl:for-each>

        <div class="permindex-container">
          <xsl:apply-templates/>
        </div>

        <hr/>
        <table align="center">
          <tr>
            <!-- autogenerator: header/footer start -->
            <!-- autogenerated -->
            <td><div class="topbar"><a href="index.xml">Base Instructions</a></div></td>
            <td><div class="topbar"><a href="fpsimdindex.xml">SIMD&amp;FP Instructions</a></div></td>
            <td><div class="topbar"><a href="a32_encindex.xml">A32 Instructions by Encoding</a></div></td>
            <td><div class="topbar"><a href="t32_encindex.xml">T32 Instructions by Encoding</a></div></td>
            <td><div class="topbar"><a href="permindex.xml">Permuted Index</a></div></td>
            <td><div class="topbar"><a href="shared_pseudocode.xml">Shared Pseudocode</a></div></td>
            <td><div class="topbar"><a href="notice.xml">Proprietary Notice</a></div></td>
            <!-- autogenerator: header/footer end -->
          </tr>
        </table>  
        <!-- version footer -->
        <p class="versions">
          Internal version only: isa v00_81, pseudocode v34.2.2      
          ; Build timestamp: 2018-03-28T20:43
        </p>
        <p class="copyconf">
	  Copyright &#169; 2010-2018 ARM Limited or its affiliates. All rights reserved.
	  This document is Non-Confidential.
	</p>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="permindex/initials">

  </xsl:template>

  <xsl:template match="permindex/line">
    <div class="permindex-line">
      <xsl:apply-templates/>
    </div>
  </xsl:template>

  <xsl:template match="permindex/line/left">
    <div class="permindex-left">
      <p class="left">
        <xsl:apply-templates/>
      </p>
    </div>
  </xsl:template>

  <xsl:template match="permindex/line/right">
    <div class="permindex-right">
      <xsl:choose>
        <xsl:when test="../@initialtag">
          <a name="{../@initialtag}">
            <p class="right">
              <xsl:apply-templates/>
            </p>
          </a>          
        </xsl:when>
        <xsl:otherwise>
          <p class="right">
            <xsl:apply-templates/>
          </p>
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:template>

  <xsl:template match="a">
    <a href="{@href}"><xsl:value-of select="."/></a>
  </xsl:template>

</xsl:stylesheet>
